Crux: BRE/WFE - Task #17885

WSC: capGrant()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Kanchan Barve % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Mar

Description

Associated revisions

Revision 67e087eb - 01/04/2024 07:16 PM - Kanchan
refs #17885 -Unit Test cases and API for CapGrant() Added

Revision 91ea7923 - 01/04/2024 07:20 PM - remiges-kanchan
Merge pull request #162 from remiges-kanchan/wsc
refs #17885 -Unit Test cases and API for CapGrant() Added

Revision 72293a18 - 02/04/2024 12:16 PM - Kanchan

refs : #17885 - changes in capGrant() response and error messages added
Revision 7909210b - 02/04/2024 12:17 PM - remiges-kanchan

Merge pull request #163 from remiges-kanchan/wsc

refs : #17885 - changes in capGrant() response and error messages added

Revision 61edb100 - 02/04/2024 02:38 PM - Kanchan

refs : #17885 - unnecessary comments removed

Revision b416c4a2 - 02/04/2024 02:39 PM - remiges-kanchan
Merge pull request #164 from remiges-kanchan/wsc

refs : #17885 - unnecessary comments removed

Revision 635dd0ab - 03/04/2024 06:30 PM - Kanchan
refs : #17885 - modified CapGrant() API

Revision 45f91009 - 03/04/2024 06:31 PM - remiges-kanchan
Merge pull request #166 from remiges-kanchan/wsc
refs : #17885 - modified CapGrant() API

Revision 8902c27e - 08/04/2024 01:15 PM - Kanchan

refs : #17885 - FilterApp and FilterRealm functions with unit testcases added

Revision ba46fc58 - 08/04/2024 01:16 PM - remiges-kanchan

Merge pull request #168 from remiges-kanchan/wsc

refs : #17885 - FilterApp and FilterRealm functions with unit testcas...

History

#1 - 17/02/2024 05:04 PM - Shuvam Misra

- Target version set to Sprint 29 Mar

29/04/2025

1/2




#2 - 19/03/2024 12:11 PM - Kanchan Barve
- Assignee set to Kanchan Barve

- Status changed from New to In Progress

#3 - 28/03/2024 06:26 PM - Kanchan Barve
- % Done changed from 0 to 20

e validation part is done

¢ In progress :- granting capabilities based on cap and app array

#4 - 29/03/2024 06:33 PM - Kanchan Barve
- % Done changed from 20 to 50

e Testing In progress

#5 - 01/04/2024 10:54 AM - Kanchan Barve

- Status changed from In Progress to Testing

#6 - 01/04/2024 07:17 PM - Kanchan Barve
- % Done changed from 50 to 90

e test cases added

#7 - 02/04/2024 02:36 PM - Kanchan Barve
- % Done changed from 90 to 100

- Status changed from Testing to Closed

e proper response for Capgrant added.
* request parameters i.e. app and cap validation added.

#8 - 02/04/2024 03:17 PM - Kanchan Barve

- Status changed from Closed to Rework

#9 - 02/04/2024 03:17 PM - Kanchan Barve
- % Done changed from 100 to 80

#10 - 03/04/2024 06:43 PM - Kanchan Barve
- % Done changed from 80 to 90

* Added stub function to validate user with IMS
e changes in granting realm and appp capability logic

#11 - 08/04/2024 01:13 PM - Kanchan Barve
- % Done changed from 90 to 100

- Status changed from Rework to Closed

e separate the logic for filtering realmcaps and appscaps based on realmcapdb and appcapdb respectively.
¢ added seprate testcases for FilterApp and FilterRealm functions.
